ru.bitel.bgbilling.modules.voice.api.common.event

## Class VoiceOperAccountTypeModifiedEvent

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.Event
  - - ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<VoiceOperAccountType>
    - - ru.bitel.bgbilling.modules.voice.api.common.event.VoiceOperAccountTypeModifiedEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class VoiceOperAccountTypeModifiedEvent
      extends ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent<VoiceOperAccountType>

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `newItem, oldItem`

    - ### Fields inherited from class ru.bitel.bgbilling.kernel.event.Event

      `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoiceOperAccountTypeModifiedEvent()`
    `VoiceOperAccountTypeModifiedEvent(int userId, int moduleId, VoiceOperAccountType oldItem, VoiceOperAccountType newItem)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `VoiceOperAccountType` | `getNewVoiceAccountType()`
    `VoiceOperAccountType` | `getOldVoiceOperAccountType()`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.directory.api.common.DirectoryItemModifiedEvent

      `getNewItem, getOldItem`

    - ### Methods inherited from class ru.bitel.bgbilling.kernel.event.Event

      `getContractId, getContractID, getDestination, getGenerateTime, getModuleId, getModuleID, getPluginId, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### VoiceOperAccountTypeModifiedEvent

          public VoiceOperAccountTypeModifiedEvent()

    - #### VoiceOperAccountTypeModifiedEvent

          public VoiceOperAccountTypeModifiedEvent(int userId,
                                                   int moduleId,
                                                   VoiceOperAccountType oldItem,
                                                   VoiceOperAccountType newItem)

  - ### Method Detail

    - #### getOldVoiceOperAccountType

          public VoiceOperAccountType getOldVoiceOperAccountType()

    - #### getNewVoiceAccountType

          public VoiceOperAccountType getNewVoiceAccountType()